<?php
abstract class db
{
    # Connection
    public static function connect($host, $user, $pass)
    {
        return @($GLOBALS["___mysqli_ston"] = mysqli_connect($host,  $user,  $pass));
    }
    
    public static function error_key()
    {
        switch(((is_object($GLOBALS["___mysqli_ston"])) ? mysqli_errno($GLOBALS["___mysqli_ston"]) : (($___mysqli_res = mysqli_connect_errno()) ? $___mysqli_res : false)))
        {
            case 2002:
                return 'invalid_host';
            case 1044:
                return 'access_denied';
        }
    }
    
    # Database
    public static function select_db($name)
    {
        return @((bool)mysqli_query($GLOBALS["___mysqli_ston"], "USE " . $name));
    }
    
    # Query
    public static function query($string, $error=true)
    {
        $query = mysqli_query($GLOBALS["___mysqli_ston"], $string);
        
        if(!$query && $error)
        {
            fw::db_error();
        }
        
        return $query;
    }
    
    # Fetching
    public static function fetch($query, $type='assoc')
    {
        $fetch = 'mysqli_fetch_'.$type;
        
        return $fetch($query);
    }
    
    # Row number
    public static function num_rows($query)
    {
        return mysqli_num_rows($query);
    }
    
    # Last inserted id
    public static function last_id()
    {
        return ((is_null($___mysqli_res = mysqli_insert_id($GLOBALS["___mysqli_ston"]))) ? false : $___mysqli_res);
    }
    
    # Error
    public static function error()
    {
        return ((is_object($GLOBALS["___mysqli_ston"])) ? mysqli_error($GLOBALS["___mysqli_ston"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false));
    }
    
    # Escape
    public static function escape($string)
    {
        return ((isset($GLOBALS["___mysqli_ston"]) && is_object($GLOBALS["___mysqli_ston"])) ? mysqli_real_escape_string($GLOBALS["___mysqli_ston"], $string) : ((trigger_error("[MySQLConverterToo] Fix the mysql_escape_string() call! This code does not work.", E_USER_ERROR)) ? "" : ""));
    }
}
